コンテンツにスキップ

Articles は Knowledge Base の構成要素です。AI Agent が質問に回答する際に使用するコンテンツを作成、一覧表示、更新、削除します。

Articles は、AI Agent の Knowledge Base の構成要素です。各記事は 1 つの知識(ヘルプページ、FAQ エントリ、商品説明、AI が知っておくべき任意のコンテンツ)を表します。

記事には 3 つのタイプがあります:Articles(タイトルと本文を持つ完全なドキュメント)、Paragraphs(タイトルのない短い独立したテキストエントリ)、URL articles(ウェブコンテンツのインポート時に自動的に作成)。API 経由で手動で記事を作成したり、Import External Content を使ってウェブサイトからインポートしたり、File Upload でファイルをアップロードしたり、Intercom から同期したりできます。

記事を作成または更新した後は、変更を反映させるために Knowledge Base の再トレーニング を忘れずに行ってください。

Scope: write_all

POST https://app.quickchat.ai/v1/api/knowledge_base/articles/

Request Body

ParameterDescription
content
string, required
記事の内容
type
string
"Article"(デフォルト)または "Paragraph"
title
string
記事のタイトル
Terminal window
curl -X POST https://app.quickchat.ai/v1/api/knowledge_base/articles/ \
-H 'Authorization: Bearer <API_TOKEN>' \
-H 'Content-Type: application/json' \
-d '{
"content": "Our return policy allows returns within 30 days.",
"title": "Return Policy"
}'

Response 201 Created

{
"id": 1234,
"article_id": "abc-123",
"type": "Article",
"title": "Return Policy",
"description": "",
"content": "Our return policy allows returns within 30 days.",
"state": "draft",
"deploy_state": "draft",
"version": null,
"max_available_version": null,
"url": null,
"tags": [],
"created_timestamp": "2026-01-15",
"last_modified_timestamp": "2026-01-15",
"downloaded_timestamp": "2026-01-15",
"last_updated_timestamp": "2026-01-15",
"last_updated_from_external_source_timestamp": null
}
FieldDescription
id
integer
記事の数値 ID。すべての URL パスで使用される正規の識別子です
article_id
string
レガシーの文字列識別子。空の場合があります。代わりに id を使用してください
type
string
"Article""Paragraph"、または "URL"
title
string
記事のタイトル
description
string
記事の説明
content
string
記事の内容
deploy_state
string
"draft" または "published" — 記事の可視性を制御します
state
string
内部処理ステータス(下記の note を参照)
version
integer or null
現在のバージョン番号
max_available_version
integer or null
利用可能な最大バージョン
url
string or null
ソース URL(URL タイプの記事の場合)
tags
array of strings
関連付けられたタグ
created_timestamp
string
作成日
last_modified_timestamp
string
最終変更日
downloaded_timestamp
string
ダウンロード日
last_updated_timestamp
string
最終更新日
last_updated_from_external_source_timestamp
string or null
外部ソースからの最終更新
Scope: read_all

GET https://app.quickchat.ai/v1/api/knowledge_base/articles/

Query Parameters

ParameterDescription
limit
integer
1 ページあたりのアイテム数
offset
integer
スキップするアイテム数
types
string
タイプでフィルタ:ArticleParagraphURL
tags
string
タグでフィルタ
url
string
URL でフィルタ
title
string
タイトルでフィルタ
query
string
内容で検索
Terminal window
curl 'https://app.quickchat.ai/v1/api/knowledge_base/articles/?limit=10&offset=0' \
-H 'Authorization: Bearer <API_TOKEN>'

Response 200 OK

{
"items": [
{
"id": 1234,
"article_id": "abc-123",
"type": "Article",
"title": "Return Policy",
"description": "",
"state": "published",
"deploy_state": "published",
"version": 1,
"max_available_version": 1,
"url": null,
"tags": ["policies"],
"created_timestamp": "2026-01-15",
"last_modified_timestamp": "2026-01-15",
"downloaded_timestamp": "2026-01-15",
"last_updated_timestamp": "2026-01-15",
"last_updated_from_external_source_timestamp": null
}
],
"offset": 0,
"limit": 10,
"count": 1
}
Scope: read_all

GET https://app.quickchat.ai/v1/api/knowledge_base/articles/{article_id}

Terminal window
curl https://app.quickchat.ai/v1/api/knowledge_base/articles/1234 \
-H 'Authorization: Bearer <API_TOKEN>'

Response 200 OKcontent フィールドを含む完全な記事オブジェクトを返します(Create Article のレスポンスと同じスキーマ)。

Scope: write_all

PATCH https://app.quickchat.ai/v1/api/knowledge_base/articles/{article_id}

Request Body

ParameterDescription
content
string
更新された記事の内容
title
string
更新されたタイトル
tags
array of strings
更新されたタグ
save_mode
string
"draft"(デフォルト)または "publish"
Terminal window
curl -X PATCH https://app.quickchat.ai/v1/api/knowledge_base/articles/1234 \
-H 'Authorization: Bearer <API_TOKEN>' \
-H 'Content-Type: application/json' \
-d '{
"title": "Updated Return Policy",
"content": "Returns accepted within 60 days.",
"save_mode": "publish"
}'

Response 200 OK — 更新された記事オブジェクトを返します。

ID を指定して 1 つ以上の記事を削除します。

Scope: write_all

DELETE https://app.quickchat.ai/v1/api/knowledge_base/articles/

Request Body — 記事 ID の JSON 配列。

Terminal window
curl -X DELETE https://app.quickchat.ai/v1/api/knowledge_base/articles/ \
-H 'Authorization: Bearer <API_TOKEN>' \
-H 'Content-Type: application/json' \
-d '[1234, 5678]'

Response 200 OK

テキストマッチングで記事の内容を検索します。

Scope: read_all

GET https://app.quickchat.ai/v1/api/knowledge_base/articles/search

Query Parameters

ParameterDescription
query
string, required
検索クエリ
is_case_insensitive
boolean
大文字小文字を区別しない検索(デフォルト:true
with_title_url_and_tags
boolean
検索にタイトル / URL / タグを含める(デフォルト:true
strict_search
boolean
完全一致を要求する(デフォルト:false
num_of_display_articles
integer
表示する記事数(デフォルト:5
num_of_data_articles
integer
検索する記事数(デフォルト:15
Terminal window
curl 'https://app.quickchat.ai/v1/api/knowledge_base/articles/search?query=return%20policy' \
-H 'Authorization: Bearer <API_TOKEN>'

Response 200 OK

{
"article_snippets": [
{
"article_id": 1234,
"expository_sentence": "Our return policy allows returns within 30 days.",
"query_words_ids": [
{"start_char": 4, "end_char": 10, "text": "return"}
]
}
],
"article_snapshots": {
"items": [],
"offset": 0,
"count": 1
}
}

すべての Paragraph タイプの記事を一覧表示します。Paragraphs は、タイトルのない短い独立したテキストエントリです。タイトルと本文の両方を持つ完全な Articles とは対照的です。

Scope: read_all

GET https://app.quickchat.ai/v1/api/knowledge_base/articles/paragraphs

Query Parameters

ParameterDescription
limit
integer
1 ページあたりのアイテム数
offset
integer
スキップするアイテム数
query
string
内容でフィルタ
Terminal window
curl 'https://app.quickchat.ai/v1/api/knowledge_base/articles/paragraphs?limit=10' \
-H 'Authorization: Bearer <API_TOKEN>'

Response 200 OK

{
"items": [
{
"id": 1,
"content": "Our return policy allows returns within 30 days."
}
],
"offset": 0,
"count": 1
}